{******************************************************************************

 ANALOG DEVICES 
 EUROPEAN DSP APPLICATIONS
 
 versatile FLASH utility for embedded systems
  
  Interrupt Vector Table,					   Ver: 1.00.0
 
	created     24-AUG-97 by hs
	last change 24-AUG-97 by hs

 Status:
 	verfied for ADmsp402/403 EB

 ******************************************************************************
}
.module/ram/abs=0 INTVEC;
.include    <constant.h>;

ISR_RESET:          jump start;		NOP; NOP; NOP;  
ISR_IRQ2:           RTI;		NOP; NOP; NOP;  
ISR_IRQ1:           RTI;		NOP; NOP; NOP;
ISR_IRQ0:           RTI;		NOP; NOP; NOP;
ISR_S0_TRANSMIT:    RTI;		NOP; NOP; NOP;
ISR_S0_RECEIVE:     RTI;		NOP; NOP; NOP;
ISR_IRQE:           RTI;		NOP; NOP; NOP;
ISR_BDMA:           RTI;		NOP; NOP; NOP;
ISR_S1_TRANSMIT:    RTI;		NOP; NOP; NOP;
ISR_S1_RECEIVE:     RTI;		NOP; NOP; NOP;
ISR_TIMER:          jump process_a_bit;	NOP; NOP; NOP;
ISR_POWERDOWN:      RTI;		NOP; NOP; NOP;

.endmod;
